export declare enum WeekDay {
    Sunday = 0,
    Monday = 1,
    Tuesday = 2,
    Wednesday = 3,
    Thursday = 4,
    Friday = 5,
    Saturday = 6,
}
export declare const weekDayList: WeekDay[];
export declare class HacCalendarDayModel {
    day: Date;
    constructor(day: Date | string);
    isToday(): boolean;
}
export declare class HacCalendarWeekModel {
    days: HacCalendarDayModel[];
    addDay(day: Date): void;
}
export declare class HacCalendarModel {
    month: Date;
    weeks: HacCalendarWeekModel[];
    constructor(month: Date);
    buildCalendar(): void;
    contains(day: HacCalendarDayModel): boolean;
    getMonthLastDay(): Date;
    getPreviousMonthLastDay(): Date;
}
